<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="110" infoRejectCounter="0">
  <summary>
    <timer wall="2" cpu="0.925847" calls="1"/>
    <memory final="146352" peak="146620"/>
  </summary>
  <header id="">
    <environment started="2016-Apr-28 15:23:05" host="eamc061"/>
    <progOpts problem="global_design" parameterFile="/home/fwein/code/cfs-test/TESTSUIT/Optimization/Technical/global_design/global_design.xml" schemaPath="/home/fwein/code/cfs/share/xml" meshFile="" logConfFile="" detailed="no" MKL_NUM_THREADS="1">
      <cfs version="16.04" name="Back To The Future" build="Release" svn_revision="14582 modified"/>
    </progOpts>
    <domain dimensions="2" elements="256" nodes="289" nx="16" ny="16" nz="1">
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="289" elems="256" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="left_lower" count="2"/>
        <nodes name="right_lower" count="2"/>
        <nodes name="left_upper" count="2"/>
        <nodes name="right_upper" count="2"/>
        <nodes name="south" count="17"/>
        <nodes name="north" count="17"/>
        <nodes name="west" count="17"/>
        <nodes name="east" count="17"/>
        <nodes name="center_upper" count="1" coord="(0.5,0.5)"/>
        <nodes name="center_lower" count="1" coord="(0.5,0)"/>
        <nodes name="right_center" count="1" coord="(1,1)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="16" ny="16" nz="1" step="0" t="0" t0="0"/>
    </domain>
  </header>
  <calculation>
    <process>
      <sequence step="0">
        <result data="mechDeformEnergy" location="mech" definedOn="region">
          <item step="0" step_val="0" value="92.901" unit="Ws"/>
          <item step="1" step_val="50" value="22.923" unit="Ws"/>
        </result>
      </sequence>
    </process>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="right_lower" size="2" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="MechanicStiffnessTensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Emodulus" value="1"/>
          <property name="Mechanic_PoissonRation" value="0.3"/>
          <property name="Mechanic_Kmodulus" value="(0.83333,0)"/>
          <property name="Mechanic_LameMu" value="(0.38462,0)"/>
          <property name="Mechanic_LameLambda" value="(0.57692,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.03"/>
        </material>
        <!-- List of defined Spaces-->
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <!-- List of registered FeFunctions-->
          <feFunctions totalNumEqns="544" totalNumFreeEqns="544" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="544" lastFreeEqn="544" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <!-- List of SBM-blocks-->
          <sbmBlocks>
            <block id="0" size="544" lastFreeIndex="544"/>
          </sbmBlocks>
          <setupTime wall="0" cpu="0.002101" calls="1"/>
          <!-- List of defined matrices-->
          <matrices>
            <!-- Memory is in MByte-->
            <system totalNumRows="544" totalNumCols="544" totalNumNonZeros="9016" totalFillLevelPerCent="3.0466" totalMemory="0.068787">
              <matrix blockRow="0" blockCol="0" storageType="sparseSym" numRows="544" numCols="544" numNonZeros="9016" fillLevelPerCent="3.0466" memory="0.068787" upperBandWidth="533" lowerBandWidth="533" avgBandWidth="199" symCounterPart="no" orderingType="Metis"/>
            </system>
          </matrices>
        </setup>
        <solver>
          <cholmod>
            <header>
              <parameters>
                <factorization>
                  <nmethods default="0"/>
                  <postorder default="1"/>
                  <dbound default="0"/>
                </factorization>
                <supernodal>
                  <method default="auto"/>
                  <switch default="40"/>
                </supernodal>
                <output>
                  <level default="3"/>
                  <precise default="0"/>
                </output>
              </parameters>
            </header>
            <summary>
              <setup>
                <timer wall="0" cpu="0.050095" calls="51"/>
              </setup>
              <solve>
                <timer wall="0" cpu="0.002187" calls="51"/>
              </solve>
            </summary>
            <process>
              <setup selected_factorization_method="1" ll_flop_count="5.1614e+05" nz_in_L="14780" nz_in_triA="4780" memory_usage="" memory_inuse="" malloc_count="" nrealloc_col="0" nrealloc_factor="0" ndbounds_hit="0">
                <method id="1" lnz="14780" fl="5.1614e+05"/>
              </setup>
              <solver/>
            </process>
          </cholmod>
        </solver>
        <precond>
          <idPrecond/>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall="0" cpu="0.138737" calls="102"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/home/fwein/code/cfs-test/TESTSUIT/Optimization/Technical/global_design/HALTOPT">
    <header>
      <objective type="compliance" linear="no" filtered="yes" task="minimize"/>
      <constraints>
        <constraint type="volume" linear="yes" filtered="yes" name="volume" bound_value="0.4" bound="upperBound" design="default"/>
        <constraint type="globalDesign" parameter="0.8" linear="no" filtered="no" locality="element" local_size="256" normalize="no" power="2" name="globalDesign" bound_value="0.001" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0">
        <transferFunctions>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables optimizationVariables="256" modelVariables="256" modelElements="256">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
        </designVariables>
        <regions>
          <region name="mech" elements="256" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <filters periodic="no">
        <filter type="maxEdge" value="2.5" contribution="linear" design="allDesigns" avg_radius="0.15625" avg_neighbors="17.328">
          <timer wall="0" cpu="0.000644" calls="1"/>
        </filter>
      </filters>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <snopt/>
    </header>
    <commit mode="each_forward" stride="99"/>
    <optimizer>
      <summary snopt_outputfile="global_design.snopt">
        <timer wall="2" cpu="0.138916" calls="466"/>
        <snopt_timer wall="1" cpu="0.069485" calls="53"/>
        <snopt_callback_timer wall="1" cpu="0.771826" calls="52"/>
        <snopt_exit exit="0" info="32"/>
        <evaluations f_evals="52" g_evals="51"/>
      </summary>
    </optimizer>
    <eval>
      <timer wall="0" cpu="0.00934" calls="258"/>
    </eval>
    <summary problem="SNOPT: resource limit error - major iteration limit reached">
      <break converged="no"/>
    </summary>
    <process>
      <iteration number="0" compliance="185.8" volume="0.4" globalDesign="0" infeasible_globalDesign="0"/>
      <iteration number="1" compliance="109.99" volume="0.4" globalDesign="0" infeasible_globalDesign="0"/>
      <iteration number="2" compliance="88.307" volume="0.4" globalDesign="0" infeasible_globalDesign="0"/>
      <iteration number="3" compliance="49.408" volume="0.4" globalDesign="0.86664" infeasible_globalDesign="42"/>
      <iteration number="4" compliance="46.433" volume="0.4" globalDesign="0.40076" infeasible_globalDesign="52"/>
      <iteration number="5" compliance="45.727" volume="0.4" globalDesign="0.25341" infeasible_globalDesign="60"/>
      <iteration number="6" compliance="45.389" volume="0.4" globalDesign="0.19013" infeasible_globalDesign="58"/>
      <iteration number="7" compliance="45.462" volume="0.4" globalDesign="0.16591" infeasible_globalDesign="65"/>
      <iteration number="8" compliance="45.213" volume="0.4" globalDesign="0.15876" infeasible_globalDesign="51"/>
      <iteration number="9" compliance="45.342" volume="0.4" globalDesign="0.12755" infeasible_globalDesign="64"/>
      <iteration number="10" compliance="45.62" volume="0.4" globalDesign="0.09577" infeasible_globalDesign="59"/>
      <iteration number="11" compliance="45.45" volume="0.4" globalDesign="0.087405" infeasible_globalDesign="71"/>
      <iteration number="12" compliance="45.398" volume="0.4" globalDesign="0.12654" infeasible_globalDesign="63"/>
      <iteration number="13" compliance="45.428" volume="0.4" globalDesign="0.067532" infeasible_globalDesign="75"/>
      <iteration number="14" compliance="45.093" volume="0.4" globalDesign="0.13662" infeasible_globalDesign="72"/>
      <iteration number="15" compliance="45.299" volume="0.4" globalDesign="0.058655" infeasible_globalDesign="73"/>
      <iteration number="16" compliance="44.805" volume="0.4" globalDesign="0.13009" infeasible_globalDesign="76"/>
      <iteration number="17" compliance="45.107" volume="0.4" globalDesign="0.051099" infeasible_globalDesign="71"/>
      <iteration number="18" compliance="44.877" volume="0.4" globalDesign="0.097186" infeasible_globalDesign="76"/>
      <iteration number="19" compliance="45.036" volume="0.4" globalDesign="0.043347" infeasible_globalDesign="74"/>
      <iteration number="20" compliance="44.96" volume="0.4" globalDesign="0.07837" infeasible_globalDesign="56"/>
      <iteration number="21" compliance="45.006" volume="0.4" globalDesign="0.038918" infeasible_globalDesign="78"/>
      <iteration number="22" compliance="45.871" volume="0.4" globalDesign="0.012968" infeasible_globalDesign="85"/>
      <iteration number="23" compliance="45.357" volume="0.4" globalDesign="0.024949" infeasible_globalDesign="81"/>
      <iteration number="24" compliance="45.942" volume="0.4" globalDesign="0.015334" infeasible_globalDesign="64"/>
      <iteration number="25" compliance="45.496" volume="0.4" globalDesign="0.019784" infeasible_globalDesign="85"/>
      <iteration number="26" compliance="46.06" volume="0.4" globalDesign="0.0074516" infeasible_globalDesign="82"/>
      <iteration number="27" compliance="45.698" volume="0.4" globalDesign="0.013711" infeasible_globalDesign="86"/>
      <iteration number="28" compliance="46.109" volume="0.4" globalDesign="0.0063602" infeasible_globalDesign="81"/>
      <iteration number="29" compliance="45.829" volume="0.4" globalDesign="0.01015" infeasible_globalDesign="87"/>
      <iteration number="30" compliance="46.126" volume="0.4" globalDesign="0.0037246" infeasible_globalDesign="84"/>
      <iteration number="31" compliance="46.095" volume="0.4" globalDesign="0.0030934" infeasible_globalDesign="75"/>
      <iteration number="32" compliance="46.018" volume="0.4" globalDesign="0.0033204" infeasible_globalDesign="62"/>
      <iteration number="33" compliance="46.058" volume="0.4" globalDesign="0.0027454" infeasible_globalDesign="76"/>
      <iteration number="34" compliance="45.961" volume="0.4" globalDesign="0.0026447" infeasible_globalDesign="58"/>
      <iteration number="35" compliance="45.99" volume="0.4" globalDesign="0.0023672" infeasible_globalDesign="61"/>
      <iteration number="36" compliance="45.816" volume="0.4" globalDesign="0.0083268" infeasible_globalDesign="67"/>
      <iteration number="37" compliance="45.923" volume="0.4" globalDesign="0.0022487" infeasible_globalDesign="70"/>
      <iteration number="38" compliance="45.644" volume="0.4" globalDesign="0.012489" infeasible_globalDesign="73"/>
      <iteration number="39" compliance="45.861" volume="0.4" globalDesign="0.0022432" infeasible_globalDesign="74"/>
      <iteration number="40" compliance="45.798" volume="0.4" globalDesign="0.0035491" infeasible_globalDesign="71"/>
      <iteration number="41" compliance="45.842" volume="0.4" globalDesign="0.0021402" infeasible_globalDesign="75"/>
      <iteration number="42" compliance="45.942" volume="0.4" globalDesign="0.0014157" infeasible_globalDesign="80"/>
      <iteration number="43" compliance="45.881" volume="0.4" globalDesign="0.0017525" infeasible_globalDesign="82"/>
      <iteration number="44" compliance="45.946" volume="0.4" globalDesign="0.0012214" infeasible_globalDesign="80"/>
      <iteration number="45" compliance="45.935" volume="0.4" globalDesign="0.0011138" infeasible_globalDesign="78"/>
      <iteration number="46" compliance="45.855" volume="0.4" globalDesign="0.0017558" infeasible_globalDesign="78"/>
      <iteration number="47" compliance="45.9" volume="0.4" globalDesign="0.0011719" infeasible_globalDesign="81"/>
      <iteration number="48" compliance="45.873" volume="0.4" globalDesign="0.0011703" infeasible_globalDesign="79"/>
      <iteration number="49" compliance="45.803" volume="0.4" globalDesign="0.0017483" infeasible_globalDesign="81"/>
      <iteration number="50" compliance="45.845" volume="0.4" globalDesign="0.0011905" infeasible_globalDesign="83"/>
    </process>
  </optimization>
</cfsInfo>